import { OnInit, ReflectiveInjector } from '@angular/core';
import { PageStorageService } from '../page-storage-service/page-storage.service';
/**
 * <p>Service to drag and drop components.</p>
 */
export declare class DraggableService implements OnInit {
    nativeElement: any;
    private topStart;
    private leftStart;
    private draggable;
    private moving;
    injector: ReflectiveInjector;
    pageStorageService: PageStorageService;
    constructor();
    ngOnInit(): void;
    makeDraggable(compId: string, nativeElement: any, value: boolean): void;
}
